Bug 27922 - Надо обновить. В 4.1.4-alt0.M60P.1 происходит зависание при отключении на vboxnet0
: Надо обновить. В 4.1.4-alt0.M60P.1 происходит зависание при отключении на vb...
Status: CLOSED FIXED
: Branch p6
(All bugs in Branch p6/virtualbox)
: не указана
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2012-11-04 12:44 by
Modified: 2012-11-08 09:48 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2012-11-04 12:44:29
Приветству.

virtualbox-4.1.4-alt0.M60P.1

Система зависает при отключении на этапе

kernel: [  327.153451] unregister_netdevice: waiting for vboxnet0 to become
free. Usage count = -1
kernel: [  337.390910] unregister_netdevice: waiting for vboxnet0 to become
free. Usage count = -1
kernel: [  347.628342] unregister_netdevice: waiting for vboxnet0 to become
free. Usage count = -1

и так далее.

Похоже на https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1009156
Правда, там пинут про kernel >= 3.2.18, а у меня воспроизводится и на
std-def-3.0.50-alt0.M60P.1
------- Comment #1 From 2012-11-06 13:21:05 -------
Так, в Sisyphus исправлено, оттуда и соберу.
------- Comment #2 From 2012-11-06 17:59:54 -------
virtualbox-4.1.20-alt1.0.M60P.1 -> p6:

* Tue Nov 06 2012 Andrey Cherepanov <cas@altlinux> 4.1.20-alt1.0.M60P.1
- Update to 4.1.20
- Fix driver hang up on system shutdown (ALT #27922)

* Thu Oct 11 2012 Eugeny A. Rostovtsev (REAL) <real at altlinux> 4.1.20-alt1.1
- Rebuilt with libpng15

* Wed Aug 22 2012 Evgeny Sinelnikov <sin@altlinux> 4.1.20-alt1
- Update to new stable release
- Revert exclude for vboxadddir to main virtualbox package
- Fix VBoxCreateUSBNode.sh empty class with --create option

* Sat Jul 28 2012 Evgeny Sinelnikov <sin@altlinux> 4.1.18-alt1
- Update to new release for Sisyphus
- Enable Virtual Distributed Ethernet (VDE) support
- Create /dev/vboxusb at startup (Closes: 26953)
- Fix virtualbox control facility restore during upgrade (Closes: 25150)
- Fix OpenGL installation for guest additions (Closes: 27340)

* Wed Apr 04 2012 Evgeny Sinelnikov <sin@altlinux> 4.1.12-alt2
- Enable the built in VNC server
- Avoid conflict with renamed xorg-drv modules

* Wed Apr 04 2012 Evgeny Sinelnikov <sin@altlinux> 4.1.12-alt1
- Update to new release for Sisyphus
- Fix build vboxvideo with new xorg-server-1.12

* Sun Apr 01 2012 Evgeny Sinelnikov <sin@altlinux> 4.1.10-alt1
- Update to new release
- Add subpackage virtualbox-guest-utils with basic guest addition tools
  without dependency to xorg server

* Fri Dec 02 2011 Evgeny Sinelnikov <sin@altlinux> 4.1.6-alt1
- Update to new release with minor bugfixes:
 + VRDP: fixed screen corruption
 + NAT: the interface stopped working after a lot of failed ICMP requests
 + ATA: fixed a possible crash during ATAPI passthrough with certain guests
 + ATA: improved compatibility with ancient Linux kernels 
 + Main: fixed incorrect framebuffer information after leaving the
   fullscreen mode with X11 guests
------- Comment #3 From 2012-11-06 18:57:43 -------
Я правильно понимаю, глядя на 
http://git.altlinux.org/tasks/archive/done/_81/83752/ ,
что для std-def, un-def и прочих не el-smp модули не собрались ?
Оно не сильно здорово, VB на десктопе нужен... Хотябы для std-def
ещё...
------- Comment #4 From 2012-11-06 19:21:56 -------
(В ответ на комментарий №3)
> Я правильно понимаю, глядя на 
> http://git.altlinux.org/tasks/archive/done/_81/83752/ ,
> что для std-def, un-def и прочих не el-smp модули не собрались ?
> Оно не сильно здорово, VB на десктопе нужен... Хотябы для std-def
> ещё...
Уже собираются, например, для std-def http://git.altlinux.org/repo/83753/

Будут собраны модули для поддерживаемых ядер: std-def, std-pae, el-smp и
un-def. Для ovz собираться модули не будут, для un-test их никогда и не
существовало. Так как сборка VirtualBox наложилась на новые ядра, разнесли по
нескольких заданиям. К ночной синхронизации, думаю, появятся.
------- Comment #5 From 2012-11-08 09:48:27 -------
С 4.1.20-alt1.0.M60P.1 отключается нормально.